msgpack::null_visitor Struct Reference

`#include <null_visitor.hpp>`

## Public Member Functions

bool | visit_nil ()
bool | visit_boolean (bool)
bool | visit_positive_integer (uint64_t)
bool | visit_negative_integer (int64_t)
bool | visit_float32 (float)
bool | visit_float64 (double)
bool | visit_str (const char *, uint32_t)
bool | visit_bin (const char *, uint32_t)
bool | visit_ext (const char *, uint32_t)
bool | start_array (uint32_t)
bool | start_array_item ()
bool | end_array_item ()
bool | end_array ()
bool | start_map (uint32_t)
bool | start_map_key ()
bool | end_map_key ()
bool | start_map_value ()
bool | end_map_value ()
bool | end_map ()
void | parse_error (size_t, size_t)
void | insufficient_bytes (size_t, size_t)
bool | referenced () const
void | set_referenced (bool)

## Member Function Documentation

## end_array()

bool msgpack::null_visitor::end_array | ( |  | ) |

inline

## end_array_item()

bool msgpack::null_visitor::end_array_item | ( |  | ) |

inline

## end_map()

bool msgpack::null_visitor::end_map | ( |  | ) |

inline

## end_map_key()

bool msgpack::null_visitor::end_map_key | ( |  | ) |

inline

## end_map_value()

bool msgpack::null_visitor::end_map_value | ( |  | ) |

inline

## insufficient_bytes()

void msgpack::null_visitor::insufficient_bytes | ( | size_t | ,
|  | size_t |
| ) |  |

inline

## parse_error()

void msgpack::null_visitor::parse_error | ( | size_t | ,
|  | size_t |
| ) |  |

inline

## referenced()

bool msgpack::null_visitor::referenced | ( |  | ) | const

inline

## set_referenced()

void msgpack::null_visitor::set_referenced | ( | bool |  | ) |

inline

## start_array()

bool msgpack::null_visitor::start_array | ( | uint32_t |  | ) |

inline

## start_array_item()

bool msgpack::null_visitor::start_array_item | ( |  | ) |

inline

## start_map()

bool msgpack::null_visitor::start_map | ( | uint32_t |  | ) |

inline

## start_map_key()

bool msgpack::null_visitor::start_map_key | ( |  | ) |

inline

## start_map_value()

bool msgpack::null_visitor::start_map_value | ( |  | ) |

inline

## visit_bin()

bool msgpack::null_visitor::visit_bin | ( | const char * | ,
|  | uint32_t |
| ) |  |

inline

## visit_boolean()

bool msgpack::null_visitor::visit_boolean | ( | bool |  | ) |

inline

## visit_ext()

bool msgpack::null_visitor::visit_ext | ( | const char * | ,
|  | uint32_t |
| ) |  |

inline

## visit_float32()

bool msgpack::null_visitor::visit_float32 | ( | float |  | ) |

inline

## visit_float64()

bool msgpack::null_visitor::visit_float64 | ( | double |  | ) |

inline

## visit_negative_integer()

bool msgpack::null_visitor::visit_negative_integer | ( | int64_t |  | ) |

inline

## visit_nil()

bool msgpack::null_visitor::visit_nil | ( |  | ) |

inline

## visit_positive_integer()

bool msgpack::null_visitor::visit_positive_integer | ( | uint64_t |  | ) |

inline

## visit_str()

bool msgpack::null_visitor::visit_str | ( | const char * | ,
|  | uint32_t |
| ) |  |

inline

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v2/null_visitor.hpp